# -*- coding: utf-8 -*-
# Generated by Django 1.11.7 on 2018-01-31 11:31
from __future__ import unicode_literals

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Genre',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('category', models.CharField(choices=[('adventure', 'Adventure'), ('family', 'Family'), ('fantasy', 'Fantasy'), ('musical', 'Musical')], max_length=255)),
            ],
        ),
        migrations.CreateModel(
            name='Movie',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=255)),
                ('director', models.CharField(max_length=255)),
                ('imdb_score', models.DecimalField(decimal_places=2, max_digits=4)),
                ('popularity', models.DecimalField(decimal_places=2, max_digits=4)),
            ],
        ),
        migrations.AddField(
            model_name='genre',
            name='movie',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='genres', to='catalog.Movie'),
        ),
    ]
